Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.ws
Interface GenericWsSender

All Known Implementing Classes:
  GenericWsSenderImpl

    public interface GenericWsSender

The Interface GenericWsSender. Default impl : `GenericWsSenderImpl` Factory : `ServiceFactory`

Method Summary
`GenericResponse` | `send(GenericRequest request)`
`Node` | `sendCertificateSecured(String url, Document payload, X509Certificate certificate, PrivateKey privateKey)` Deprecated. use the method send(GenericRequest)
`Node` | `sendCertificateSecured(String url, Document payload, X509Certificate certificate, PrivateKey privateKey, String soapAction)` Deprecated. use the method send(GenericRequest)
`String` | `sendCertificateSecured(String url, String payload, X509Certificate certificate, PrivateKey privateKey)` Deprecated. use the method send(GenericRequest)
`String` | `sendCertificateSecured(String url, String payload, X509Certificate certificate, PrivateKey privateKey, String soapAction)` Deprecated. use the method send(GenericRequest)
`Node` | `sendSamlSecured(String url, Document payload, Element assertion, Credential credential)` Deprecated. use the method send(GenericRequest)
`Node` | `sendSamlSecured(String url, Document payload, Element assertion, Credential credential, String soapAction)` Deprecated. use the method send(GenericRequest)
`String` | `sendSamlSecured(String url, String payload, Element assertion, Credential credential)` Deprecated. use the method send(GenericRequest)
`String` | `sendSamlSecured(String url, String payload, Element assertion, Credential credential, String soapAction)` Deprecated. use the method send(GenericRequest)
`Node` | `sendUnsecured(String url, Document payload)` Deprecated. use the method send(GenericRequest)
`Node` | `sendUnsecured(String url, Document payload, String soapAction)` Deprecated. use the method send(GenericRequest)
`String` | `sendUnsecured(String url, String payload)` Deprecated. use the method send(GenericRequest)
`String` | `sendUnsecured(String url, String payload, String soapAction)` Deprecated. use the method send(GenericRequest)

Method Detail

### send

    GenericResponse send(GenericRequest request)
                         throws TechnicalConnectorException

  Parameters:
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### sendUnsecured

    @Deprecated
    String sendUnsecured(String url,
                                    String payload)
                         throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send unsecured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendUnsecured

    @Deprecated
    Node sendUnsecured(String url,
                                  Document payload)
                       throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send unsecured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    @Deprecated
    String sendSamlSecured(String url,
                                      String payload,
                                      Element assertion,
                                      Credential credential)
                           throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send saml secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    @Deprecated
    Node sendSamlSecured(String url,
                                    Document payload,
                                    Element assertion,
                                    Credential credential)
                         throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send saml secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    @Deprecated
    String sendCertificateSecured(String url,
                                             String payload,
                                             X509Certificate certificate,
                                             PrivateKey privateKey)
                                  throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send certificate secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    @Deprecated
    Node sendCertificateSecured(String url,
                                           Document payload,
                                           X509Certificate certificate,
                                           PrivateKey privateKey)
                                throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send certificate secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendUnsecured

    @Deprecated
    String sendUnsecured(String url,
                                    String payload,
                                    String soapAction)
                         throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send unsecured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendUnsecured

    @Deprecated
    Node sendUnsecured(String url,
                                  Document payload,
                                  String soapAction)
                       throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send unsecured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    @Deprecated
    String sendSamlSecured(String url,
                                      String payload,
                                      Element assertion,
                                      Credential credential,
                                      String soapAction)
                           throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send saml secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    @Deprecated
    Node sendSamlSecured(String url,
                                    Document payload,
                                    Element assertion,
                                    Credential credential,
                                    String soapAction)
                         throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send saml secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    @Deprecated
    String sendCertificateSecured(String url,
                                             String payload,
                                             X509Certificate certificate,
                                             PrivateKey privateKey,
                                             String soapAction)
                                  throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send certificate secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    @Deprecated
    Node sendCertificateSecured(String url,
                                           Document payload,
                                           X509Certificate certificate,
                                           PrivateKey privateKey,
                                           String soapAction)
                                throws TechnicalConnectorException

  Deprecated. use the method send(GenericRequest)

  Send certificate secured.

  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.